Skip to main content
POST
Add a notification recipient to a form

Authorizations

Authorization
string
header
required

Cactal API key. Create one in the dashboard or via POST /apiKeys. The plaintext key is shown once at creation.

Path Parameters

websiteId
string
required
Minimum string length: 1
formName
string
required

The form name from the action path.

Body

application/json
email
string<email>
required

Address to notify.

Maximum string length: 320
Pattern: ^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$

Response

The recipient.

id
string
required
email
string
required
status
enum<string>
required
Available options:
member,
pending,
confirmed,
failing,
stopped
createdAt
string
required